%% FUNCIÓN CALCULO IFFT
%<calcIFFT>

%PARÁMETROS DE RETORNO:
%vIFFT: Vector valores complejos tras aplicar IFFT
%bGIzq: Valor banda de guarda izquierda
%bGDer: Valor banda de guarda derecha

%PARÁMETROS DE INGRESO:
%datosQPSK: Vector de valores modulados QPSK
%parametros: Estructura con parámetros de simulación

function [vIFFT,bGIzq,bGDer]=calcIFFT(datosQPSK,parametros)

bGIzq=floor((parametros.tamFFT-parametros.numSub)/2);%Cálculo de banda de guarda izquierda
bGDer=parametros.tamFFT-parametros.numSub-bGIzq;%Cálculo de banda de guarda derecha
symbOFDM=[zeros(bGIzq,1);datosQPSK;zeros(bGDer,1)];%Vector formado con símbolo OFDM previo IFFT

vIFFT=ifft(ifftshift(symbOFDM),parametros.tamFFT);%Secuencia de comandos para cálculo IFFT según ejemplos plataforma MATLAB

end


